#ifndef VNCTERMSERV
#define VNCTERMSERV

/*Max Path lenght,must be >200*/
#define MAXFILE 2000
/*Max Cmdline lenght, must be >4*MAXFILE*/
#define MAXCMDLINE 20000

extern int isremote;

extern char* pwtext;
extern int msgresult;
extern int ConnFlag,rowselid;

extern char XAUTH[MAXFILE];
extern char VIEWERPROC[MAXFILE];
extern char XVNCCMD[MAXFILE];
extern char XSESSION[MAXFILE];
extern char SSH[MAXFILE];
extern char INSTPATH[MAXFILE];
extern char REMOTEPARAM[MAXFILE];
extern int DefaultX,DefaultY;
extern int DefaultDepth;
extern char **Sessions;
extern int SessionCount;
extern char* sessionname;

typedef char elist[2][MAXFILE];

typedef struct _VNCServ
{char Name[MAXFILE], Passwd[MAXFILE];
int PID;
int RFBPort;
int ConnCount;
int Width,Height,Depth,XDisplay;
struct _VNCServ* Next;
}VNCServ;


int DoSelect(elist *list,int cnt,char*Title);
int gtkmsg(const char* prompt,int mode);
char* gtkgetpass(const char* prompt);
void showmessage(const char*msg,int code);

void initrand();
char genrand();



void updatepwfile(char* homedir);

void genxauth(char* aufile,char*hn,int dnr);

VNCServ* findvnc(int uid);

void Kill(VNCServ*v,int ID);
void readconfigfile(char* name);

void FreeUsedVnc(VNCServ**v);
int CountVnc(VNCServ*v);

void updatepwfile(char* homedir);
int StartServer(char* homedir,char*pwfile,char* Server,char* Session,char* sessionname,int Depth,int X,int Y);
int SockNonBlock(int socket);
int copystream(int sock1a,int sock1b,int sock2);
int socketconnect(char*Name,int port);
int CreateListen(int Port);


int readint32(int fd);
void readstring(int fd,char*t,int maxlen);
void writeint32(int fd,int i);
void writestring(int fd,char*msg);
void rawterm(int t);
elist* readEntryList(int fd,int count);
void SendEntryList(char*title,int count,elist*e);

extern char* sessionname;












#endif
