#include <stdlib.h>
#include <stdio.h>
#include <errno.h>
#include <sys/types.h>
#include <dirent.h>
#include <netinet/tcp.h>
#include <sys/stat.h>
#include <termios.h>
#include "vnctermserv.h"
#include <fcntl.h>

int SockNonBlock(int socket)
{return fcntl(socket,F_SETFL,O_NONBLOCK)!=-1;}

int parserCmdLine(char*Name,VNCServ*v)
{FILE*f;char buf[MAXCMDLINE+2]={0};
int len;char*a,*b;int skipnext,nexttype;
v->Passwd[0]=0;
v->Width=640;v->Height=480;v->Depth=8;
v->XDisplay=0;
f=fopen(Name,"r");if(!f) return -1;
len=fread(buf,1,MAXCMDLINE,f);
fclose(f);
if(len<=0) return -1;
a=buf;
skipnext=1;nexttype=0;
while(*a)
{
b=a;
while(*a)a++;
if(nexttype){
if(nexttype==3) strcpy(v->Passwd,b);
if(nexttype==4) v->RFBPort=atoi(b)-5900;
if(nexttype==2) v->Depth=atoi(b);
if(nexttype==1) sscanf(b,"%dx%d",&v->Width,&v->Height);
nexttype=0;}else
if(skipnext)skipnext--;
else{
if(!strcmp(b,"-fp"))skipnext=1;else
if(!strcmp(b,"-co"))skipnext=1;else
if(!strcmp(b,"-geometry"))nexttype=1;else
if(!strcmp(b,"-depth"))nexttype=2;else
if(!strcmp(b,"-rfbauth"))nexttype=3;else
if(!strcmp(b,"-rfbport"))nexttype=4;else
if(b[0]==':') {
v->XDisplay=atoi(b+1);
}}
a++;
}
return 0;}

typedef struct 
{
int lochost,locport,remhost,remport,state;
} Conninf;




int gettcpportdata(int conn,Conninf* i)
{FILE* f;char buf[MAXFILE];
int lochost,locport,remhost,remport,t,pid,state;
f=fopen("/proc/net/tcp","r");
if(!f) return -1;
if(!fgets(buf,MAXFILE-1,f)) {fclose(f);return -1;}
while(fgets(buf,MAXFILE-1,f))
{
sscanf(buf,"%d: %X:%X %X:%X %X %X:%X %X:%X %X %d %d %d",&t,&lochost,&locport,&remhost,&remport,&state,&t,&t,&t,&t,&t,&t,&t,&pid);
if(pid==conn){
fclose(f);
i->lochost=lochost;i->locport=locport;i->remhost=remhost;i->remport=remport;
i->state=state;
return 0;
}
}
fclose(f);
return -1;}

VNCServ* findvnc(int uid)
{DIR* d,*d1;char* a,*b,*c;
char buf[MAXFILE],buf1[MAXFILE];
struct dirent* de,*de1;int l;
struct stat s;VNCServ v,*av=0,*bv;Conninf ci;
d=opendir("/proc");if(!d) return 0;
while(de=readdir(d)){
a=de->d_name;
while('0'<=*a&&*a<='9')a++;
if(!*a) {
sprintf(buf,"/proc/%s",de->d_name);
if(!stat(buf,&s))
{if(s.st_uid!=uid)continue;
sprintf(buf,"/proc/%s/exe",de->d_name);
if(!realpath(buf,buf1))if(errno!=ENOENT) continue;
a=buf1+1;b=a;
while(*a){
if(*a=='/'){a++;b=a;}else a++;
}
l=strlen(b);
if(l>10) if(!strcmp(b+l-10," (deleted)"))b[l-10]=0,l-=10;
if(l>9) if(!strcmp(b+l-9,".dpkg-new"))b[l-9]=0,l-=9;
if(l>9) if(!strcmp(b+l-9,".dpkg-old"))b[l-9]=0,l-=9;
/* pattern .+/X.*vnc */
if(*b!='X') continue;
if(l<=3) continue;
if(strcmp(b+l-3,"vnc"))continue;
strcpy(v.Name,b);
v.PID=atoi(de->d_name);
v.RFBPort=-1;
v.ConnCount=0;
v.Next=0;
sprintf(buf,"/proc/%s/cmdline",de->d_name);
if(parserCmdLine(buf,&v))continue;
sprintf(buf,"/proc/%s/fd",de->d_name);
d1=opendir(buf);if(!d1) continue;
while(de1=readdir(d1)){
if(de1->d_name[0]=='.') continue;
sprintf(buf,"/proc/%s/fd/%s",de->d_name,de1->d_name);
memset(buf1,0,MAXFILE);
if(!readlink(buf,buf1,MAXFILE-1))continue;
if(strncmp(buf1,"socket:[",8))continue;
a=buf1+8;
b=a;while('0'<=*b&&*b<='9')b++;
if(*b!=']')continue;*b=0;
b++;if(*b) continue;
l=atoi(a);
if(gettcpportdata(l,&ci))continue;
if(ci.state!=TCP_ESTABLISHED&&ci.state!=TCP_LISTEN)continue;
if(ci.locport>=6000&&ci.locport<7000)continue;
if(ci.state==TCP_LISTEN&&ci.locport>=5900&&ci.locport<=6000)
if(v.RFBPort==-1)v.RFBPort=ci.locport-5900;
if(ci.state==TCP_ESTABLISHED&&ci.locport==5900+v.RFBPort)v.ConnCount++;
}
closedir(d1);
if(v.RFBPort==-1) continue;
bv=malloc(sizeof(v));
if(!bv) continue;
*bv=v;
bv->Next=av;
av=bv;
}
}
}
closedir(d);
return av;
}


FILE* randfile;
void initrand()
{
randfile=fopen("/dev/random","r");
srand(time(0));
}
char genrand()
{int c;
if(randfile){
c=fgetc(randfile);
if(c==EOF) {fclose(randfile);randfile=0;}
}else c=rand()%256;
return c;
}

void rawterm(int t)
{

struct termios flag;
tcgetattr(t,&flag);
 flag.c_lflag&=~(ICANON|ISIG|ECHO|IEXTEN|ECHONL|ECHOE|ECHOK|NOFLSH|TOSTOP|ECHOCTL|ECHOKE);
 flag.c_iflag&=~(BRKINT|ICRNL|INLCR);
 flag.c_oflag&=~(OPOST|ONLCR|OCRNL);
 flag.c_iflag|=IGNBRK;
/*flag.c_cc[VTIME]=1;
flag.c_cc[VMIN]=1;*/
flag.c_iflag=0;
flag.c_oflag=0;
flag.c_cflag&=~CSIZE;
flag.c_cflag|=CS8;
tcsetattr(t,TCSAFLUSH,&flag);
}
